Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 766333 - kde-apps/parley depends on kde-frameworks/kross (was: kross interpreter not found)
Summary: kde-apps/parley depends on kde-frameworks/kross (was: kross interpreter not f...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL: https://phabricator.kde.org/T11571
Whiteboard:
Keywords:
Depends on:
Blocks: kf5-portingaids-removal
  Show dependency tree
 
Reported: 2021-01-20 22:47 UTC by gerion
Modified: 2021-01-23 17:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gerion 2021-01-20 22:47:03 UTC
When opening the editor in Parley it shows the same error message for four scripts:
Der Interpreter für die Skriptdatei „/usr/share/parley/plugins/wiktionary_sound.py“ kann nicht bestimmt werden.
(English: The interpreter for the script file ... cannot be determined.)

Looking at this script file reveals an "kross" script. See also here for the upstream file:
https://github.com/KDE/parley/blob/master/plugins/wiktionary/wiktionary_sound.py

However, the kross binary is not installed on my system but a "kf5kross" binary.

Reproducible: Always

Steps to Reproduce:
1. Install Parley.
2. Open it and open the editor.
Actual Results:  
Error messages shown.

Expected Results:  
No error messsages shown.

Maybe this is also a problem of kde-frameworks/kross.
Comment 1 gerion 2021-01-20 22:56:11 UTC
Just tried to "fix" the interpreter manually without success.
I changed the programm name of the shebang from kross to kf5kross, python3 and python.

Testing always results in:
```
kf5kross /usr/share/parley/plugins/wiktionary_sound.py
No interpreter for file: /usr/share/parley/plugins/wiktionary_sound.py
```
Comment 2 Andreas Sturmlechner gentoo-dev 2021-01-21 09:52:28 UTC
kde-apps/kross-interpreters[python] had to be dropped due to py27 dependency and no movement upstream, and it seems that no one was aware that parley needed them.

I'm afraid we can only disable installing these plugins, or last-rite this package if it isn't useful without them at all?
Comment 3 gerion 2021-01-21 14:46:28 UTC
(In reply to Andreas Sturmlechner from comment #2) 
> I'm afraid we can only disable installing these plugins, or last-rite this
> package if it isn't useful without them at all?

It is useful definitely, also without the plugins. Afaik they are used mainly for data fetching when creating new training decks.

I think, temporarily disabling/removing them and adding them back when upstream has ported away from kross is a viable solution. An install message informing about dropping theses script may be useful then, since the upstream documentation references theses scripts in some places (for example here: https://docs.kde.org/stable5/en/kdeedu/parley/adding-sound.html).
Comment 4 Larry the Git Cow gentoo-dev 2021-01-23 14:53:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/kde.git/commit/?id=d8c56aa70a2940b0acabf1f2375e08993a9660a4

commit d8c56aa70a2940b0acabf1f2375e08993a9660a4
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-01-23 14:48:46 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-01-23 14:48:46 +0000

    kde-apps/parley: Disable plugins directory
    
    Plugins depend on unavailable kde-apps/kross-interpreters[python],
    still py2-based upstream.
    
    Reported-by: Gerion Entrup <gerion.entrup@flump.de>
    Bug: https://bugs.gentoo.org/766333
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-apps/parley/parley-20.12.49.9999.ebuild | 11 +++++++++++
 kde-apps/parley/parley-9999.ebuild          | 11 +++++++++++
 2 files changed, 22 insertions(+)
Comment 5 Larry the Git Cow gentoo-dev 2021-01-23 14:58:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85d16bd6906a6dc86884e6440c011c84c9a5817a

commit 85d16bd6906a6dc86884e6440c011c84c9a5817a
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-01-23 14:48:46 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-01-23 14:57:33 +0000

    kde-apps/parley: Disable plugins directory
    
    Plugins depend on unavailable kde-apps/kross-interpreters[python],
    still py2-based upstream.
    
    Reported-by: Gerion Entrup <gerion.entrup@flump.de>
    Bug: https://bugs.gentoo.org/766333
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 .../{parley-20.08.3.ebuild => parley-20.08.3-r1.ebuild}     | 13 ++++++++++++-
 .../{parley-20.12.1.ebuild => parley-20.12.1-r1.ebuild}     | 11 +++++++++++
 2 files changed, 23 insertions(+), 1 deletion(-)